Base URL
https://api.canarygate.io/api/v1List flags
GET /flagsReturns all flags for the environment associated with the API Key.
Response 200
[
{
"key": "new-checkout",
"type": "boolean",
"enabled": true,
"description": "New checkout flow"
},
{
"key": "new-dashboard",
"type": "rollout",
"enabled": false,
"percentage": 25,
"description": null
}
]Get flag
GET /flags/:keyResponse 200
{
"key": "new-checkout",
"type": "boolean",
"enabled": true,
"description": "New checkout flow"
}Response 404
{
"error": "NOT_FOUND",
"message": "Flag 'new-checkout' not found"
}Create flag
POST /flagsBody
{
"key": "new-feature",
"type": "boolean",
"description": "My new feature"
}| Field | Type | Required |
|---|---|---|
key | string | Yes |
type | 'boolean' | 'rollout' | Yes |
description | string | No |
Response 201
{
"key": "new-feature",
"type": "boolean",
"enabled": false,
"description": "My new feature"
}Update flag
PATCH /flags/:keyBody (optional fields)
{
"enabled": true,
"percentage": 50,
"description": "Updated description"
}Response 200 — returns the updated flag.
Delete flag
DELETE /flags/:keyResponse 204 — no body.
Last updated on